video
from0.0315 / s
Kling 2.5
Generates videos from text prompts and images, with fast generation and precise prompt control.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "kling-video/v2.5-turbo/standard/image-to-video", { input: { "prompt": "A cinematic scene at sunset", "duration": 5, "cfg_scale": 0.5, "image_url": "https://example.com/input.jpg", "negative_prompt": "" }, withPolling: true, },); console.log(result);Calling the API
Use kling-video/v2.5-turbo/standard/image-to-video with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "kling-video/v2.5-turbo/standard/image-to-video", { input: { "prompt": "A cinematic scene at sunset", "duration": 5, "cfg_scale": 0.5, "image_url": "https://example.com/input.jpg", "negative_prompt": "" }, withPolling: true, },); console.log(result);Request parameters
promptstring · required
Write your prompt here
{
"type": "string",
"title": "Prompt",
"description": "Write your prompt here"
}image_urlstring · required
Image URL
{
"type": "string",
"title": "Image URL",
"format": "uri"
}durationinteger · optional
Duration
Options: 5, 10
Default: 5
{
"enum": [
5,
10
],
"type": "integer",
"title": "Duration",
"default": 5
}negative_promptstring · optional
Negative Prompt
Default: ""
{
"type": "string",
"title": "Negative Prompt",
"default": ""
}cfg_scalenumber · optional
CFG Scale
Default: 0.5
{
"type": "number",
"title": "CFG Scale",
"default": 0.5,
"maximum": 1,
"minimum": 0,
"multipleOf": 0.01
}Price
Standard self-serve rates in USD per video second: 720p: $0.0315. Total price = selected rate × output duration in seconds.
View all pricing